@ECHO OFF
if not exist %3disk1.000 goto OK1
ECHO 
ECHO        A DISK DRIVE INCONSISTENCY HAS BEEN DETECTED...
ECHO    EITHER YOU HAVE MADE YOUR FLOPPY DRIVE THE CURRENT DRIVE
ECHO    OR THE FILE "DISK1.000" EXISTS ON YOUR HARD DRIVE
ECHO    IF THE LATTER IS TRUE, DELETE "DISK1.000" OFF YOUR HARD DRIVE
ECHO    OTHERWISE RESTART THE INSTALLATION MAKING SURE THE HARD DRIVE IS
ECHO    YOUR CURRENT DRIVE AND FOLLOW THE INSTALLATION INSTRUCTIONS WHICH
ECHO    ACCOMPANY THE GRAFX CAD/CAM STARTER KIT
ECHO 
goto END
:OK1
if exist %2install.eee ren %2install.eee install.exe
if "%1" == "U" goto UPDATE
if "%1" == "u" goto UPDATE
md %3
cd %3
copy %2clsa.exe %3 > nul:
%2clsa 31
ECHO 
ECHO 
ECHO 
ECHO 
ECHO 
ECHO 
ECHO 
ECHO 
ECHO               Datacut GRAFX CAD/CAM Starter Kit Software Installation
ECHO 
ECHO        Note: This installation assumes you are installing
ECHO           the GRAFX CAD/CAM Starter Kit in the %3 path for the
ECHO           first time.
ECHO 
ECHO           If you are updating your existing GRAFX CAD/CAM Starter Kit
ECHO           please hit ctrl-break, and restart "%2INSTALL".
ECHO 
ECHO           Otherwise continue...
ECHO 
ECHO 
pause
copy %2dc2.bat > nul:
copy %2clsa.exe > nul:
clsa 31
ECHO 
ECHO 
ECHO 
ECHO 
ECHO 
ECHO        The AUTOEXEC.BAT file can be modified to change directories and
ECHO        load GRAFX CAD/CAM SK if this is the computer's only use. To do
ECHO        this, add the following lines to the end of the AUTOEXEC.BAT file:
ECHO 
ECHO               CD %3
ECHO               NC
ECHO 
ECHO 
pause
dc2 %1 %2 %3
goto END
clsa 31
:UPDATE
cd %3
copy %2clsa.exe > nul:
clsa 31
ECHO 
ECHO 
ECHO 
ECHO 
ECHO 
ECHO 
ECHO           Datacut GRAFX CAD/CAM Starter Kit Software Update Installation
ECHO 
ECHO        Note: This installation assumes you are updating an
ECHO           existing GRAFX CAD/CAM Starter Kit system in the %3 path.
ECHO           If you wish to do an INITIAL installation, please
ECHO           hit ctrl-break, and restart "%2INSTALL".
ECHO 
ECHO           Otherwise continue...
ECHO 
ECHO 
ECHO 
ECHO 
ECHO 
ECHO 
pause
clsa 31
copy %2dc2.bat > nul:
dc2 %1 %2 %3
:END
@ECHO ON
